import { jsx } from "react/jsx-runtime";
import { TokenWOW as TokenWOW$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWOW = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "WOW", "data-name": "TokenWOW", ...props, children: /* @__PURE__ */ jsx(TokenWOW$1, { variant }) });
  }
);
TokenWOW.displayName = "TokenWOW";
Object.assign(TokenWOW, { isGdsIcon: true });
export {
  TokenWOW
};
